import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { RouterModule, Routes } from '@angular/router';

import { Tab2Page } from './tab2.page';

// 假设Tab2Page有特定的路由需求，可以在这里定义
const routes: Routes = [
  {
    path: '',
    component: Tab2Page
  }
];

@NgModule({
  declarations: [
    // 声明Tab2Page组件
    Tab2Page
  ],
  imports: [
    // 导入通用模块
    CommonModule,
    // 导入Ionic模块
    IonicModule,
    // 导入路由模块
    RouterModule.forChild(routes)
  ]
})
export class Tab2PageModule {}